# Class AnimateQueueProvider

- Defined in src/animations/animate-queue.js:26
- Defined in src/animations/animate-queue.js:25

##### Index

### Constructors

constructor

### Properties

$get
rules
$inject

## Constructors

### constructor

- new AnimateQueueProvider($animateProvider: any): AnimateQueueProvider

  #### Parameters

  - $animateProvider: any

  #### Returns AnimateQueueProvider

  - Defined in src/animations/animate-queue.js:26

## Properties

### $get

$get: (
| string
| (
(
$rootScope: Scope,
$injector: any,
$$animation: any,
$$AnimateRunner: any,
$templateRequest: any,
) => {
enabled(element: any, bool: any, ...args: any): any;
off(event: any, container: any, callback: any, ...args: any): void;
on(event: any, container: any, callback: any): void;
pin(element: any, parentElement: any): void;
push(element: any, event: any, options: any, domOperation: any): any;
}
)
)[]

#### Type declaration

- string
- (
  $rootScope: Scope,
  $injector: any,
  $$animation: any,
  $$AnimateRunner: any,
  $templateRequest: any,
  ) => {
  enabled(element: any, bool: any, ...args: any): any;
  off(event: any, container: any, callback: any, ...args: any): void;
  on(event: any, container: any, callback: any): void;
  pin(element: any, parentElement: any): void;
  push(element: any, event: any, options: any, domOperation: any): any;
  }
  - - (
      $rootScope: Scope,
      $injector: any,
      $$animation: any,
      $$AnimateRunner: any,
      $templateRequest: any,
      ): {
      enabled(element: any, bool: any, ...args: any): any;
      off(event: any, container: any, callback: any, ...args: any): void;
      on(event: any, container: any, callback: any): void;
      pin(element: any, parentElement: any): void;
      push(element: any, event: any, options: any, domOperation: any): any;
      }

    - #### Parameters

      - $rootScope: Scope
      - $injector: any
      - $$animation: any
      - $$AnimateRunner: any
      - $templateRequest: any

      #### Returns {
      enabled(element: any, bool: any, ...args: any): any;
      off(event: any, container: any, callback: any, ...args: any): void;
      on(event: any, container: any, callback: any): void;
      pin(element: any, parentElement: any): void;
      push(element: any, event: any, options: any, domOperation: any): any;
      }

- Defined in src/animations/animate-queue.js:144

### rules

rules: { cancel: any[]; join: any[]; skip: any[] }

- Defined in src/animations/animate-queue.js:31

### `Static`$inject

$inject: string[]

- Defined in src/animations/animate-queue.js:25